Lingxing
切换旧版

VC报表 - 库存报表

POST/basicOpen/vc/report/inventory/list

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/vc/report/inventory/listHTTPSPOST1

请求参数

sidnumber必填
店铺id
startDatestring
开始时间,格式:yyyy-MM-dd
endDatestring
结束时间,格式:yyyy-MM-dd
offsetnumber必填
偏移量
lengthnumber必填
长度,最大 200
viewstring必填
视图:
sourcing 货源视图
manufacturing 生产视图
asinListarray<any>
指定asin列表

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/vc/report/inventory/list?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "sid": 1234567890,
    "startDate": "2026-03-01",
    "endDate": "2026-03-31",
    "offset": 0,
    "length": 20,
    "view": "sourcing",
    "asinList": ["B0TEST0001","B0TEST0002"]
}'

返回结果

JSON Object

codenumber必填
状态码,0:成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
数据校验失败时的错误详情
request_idstring必填
请求链路 ID
示例 3b6d0f5e7a9c4d63b6f6df1e12345678
response_timestring必填
响应时间
示例 2026-04-01 12:00:00
dataobject必填
响应数据
隐藏子属性
totalnumber必填
总数
示例 128
offsetnumber必填
偏移量
示例 0
lengthnumber必填
长度
示例 20
listarray<object>必填
列表
隐藏子属性
sidnumber必填
店铺id
示例 1234567890
asinstring必填
asin
示例 B0TEST0001
datestring必填
日期
示例 2026-03-31
receiveFillRatenumber必填
收货满足率
示例 96.5
averageVendorLeadTimeDaysnumber必填
供应商平均交付周期(天)
示例 14
netReceivedInventoryUnitsnumber必填
净收货库存件数
示例 50
aged90PlusDaysSellableInventoryUnitsnumber必填
90天以上库龄可售库存量
示例 15
sellThroughRatenumber必填
售罄率
示例 78.4
unhealthyInventoryUnitsnumber必填
不良库存量
示例 5
vendorConfirmationRatenumber必填
供应商确认率
示例 99.2
unsellableOnHandInventoryUnitsnumber必填
不可售库存量
示例 8
sellableOnHandInventoryUnitsnumber必填
可售库存量
示例 120
netReceivedInventoryCostAmountnumber必填
净收货库存货值
示例 680.5
netReceivedInventoryCostCurrencyCodestring必填
净收货库存货值币种代码
示例 USD
unsellableOnHandInventoryCostAmountnumber必填
不可售库存货值
示例 126.4
unsellableOnHandInventoryCostCurrencyCodestring必填
不可售库存货值币种代码
示例 USD
aged90PlusDaysSellableInventoryCostAmountnumber必填
库龄90天以上可售库存货值
示例 420.3
aged90PlusDaysSellableInventoryCostCurrencyCodestring必填
库龄90天以上可售库存货值币种代码
示例 USD
sellableOnHandInventoryCostAmountnumber必填
可售库存货值
示例 1520.8
sellableOnHandInventoryCostCurrencyCodestring必填
可售库存成本币种代码
示例 USD
unhealthyInventoryCostAmountnumber必填
不良库存货值
示例 235.6
unhealthyInventoryCostCurrencyCodestring必填
不良库存货值币种代码
示例 USD
openPurchaseOrderUnitsinteger必填
在途库存量
示例 10
totalnumber必填
总数
示例 128

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "3b6d0f5e7a9c4d63b6f6df1e12345678.178.17739962885581817",
    "response_time": "2026-04-01 12:00:00",
    "data": {
        "total": 128,
        "offset": 0,
        "length": 20,
        "list": [
            {
                "sid": 1234567890,
                "asin": "B0TEST0001",
                "date": "2026-03-31",
                "receiveFillRate": 96.5,
                "averageVendorLeadTimeDays": 14,
                "netReceivedInventoryUnits": 50,
                "aged90PlusDaysSellableInventoryUnits": 15,
                "sellThroughRate": 78.4,
                "unhealthyInventoryUnits": 5,
                "vendorConfirmationRate": 99.2,
                "unsellableOnHandInventoryUnits": 8,
                "sellableOnHandInventoryUnits": 120,
                "netReceivedInventoryCostAmount": 680.5,
                "netReceivedInventoryCostCurrencyCode": "USD",
                "unsellableOnHandInventoryCostAmount": 126.4,
                "unsellableOnHandInventoryCostCurrencyCode": "USD",
                "aged90PlusDaysSellableInventoryCostAmount": 420.3,
                "aged90PlusDaysSellableInventoryCostCurrencyCode": "USD",
                "sellableOnHandInventoryCostAmount": 1520.8,
                "sellableOnHandInventoryCostCurrencyCode": "USD",
                "unhealthyInventoryCostAmount": 235.6,
                "unhealthyInventoryCostCurrencyCode": "USD",
                "openPurchaseOrderUnits": 10
            }
        ]
    },
    "total": 128
}